aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-text-csv_xs/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2012-10-29 09:12:13 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2012-10-29 09:12:13 +0000
commitdba456218add36beff202430a4ee6e9b6a38c020 (patch)
tree510c9e1ecb30d40450697557d9c32e84ceae6f73 /testing/perl-text-csv_xs/APKBUILD
parent379a59e03abceedf464f58cbe3475bce69f531e2 (diff)
downloadaports-dba456218add36beff202430a4ee6e9b6a38c020.tar.gz
aports-dba456218add36beff202430a4ee6e9b6a38c020.tar.bz2
aports-dba456218add36beff202430a4ee6e9b6a38c020.tar.xz
testing/perl-text-csv_xs: new aport
Diffstat (limited to 'testing/perl-text-csv_xs/APKBUILD')
-rw-r--r--testing/perl-text-csv_xs/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/perl-text-csv_xs/APKBUILD b/testing/perl-text-csv_xs/APKBUILD
new file mode 100644
index 0000000000..b02198fbc9
--- /dev/null
+++ b/testing/perl-text-csv_xs/APKBUILD
@@ -0,0 +1,40 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-text-csv_xs
+_pkgreal=Text-CSV_XS
+pkgver=0.91
+pkgrel=0
+pkgdesc="Perl module for Text-CSV_XS"
+url="http://search.cpan.org/dist/Text-CSV_XS/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://cpan.panu.it/authors/id/H/HM/HMBRAND/$_pkgreal-$pkgver.tgz"
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ if [ -e Build.PL ]; then
+ perl Build.PL installdirs=vendor || return 1
+ else
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ fi
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="391fb562340969e76250bcc02bfa58fa Text-CSV_XS-0.91.tgz"